import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import { MinIoService } from '../services/min-io.service.'

@Component({
  selector: 'app-send-post',
  templateUrl: './send-post.component.html',
  styleUrls: ['./send-post.component.css']
})
export class SendPostComponent implements OnInit {

  progress: number;
  message: string;
  filename = '';

  constructor(public apiChatService: ApiChatService, public minIoService: MinIoService) {
  }


  sendPost(text: string) {
    this.apiChatService.sendPostToApi(text).subscribe();
  }

  sendPic(event: any) {
    this.filename = event.target.files[0].name;
    //console.log(event.target.files[0]);
    this.apiChatService.sendpic(event.target.files[0]).subscribe();
  }

  ngOnInit(): void {
  }

}
